Loading...
Searching...
No Matches
unique.hpp File Reference

## Functions

template<typename I , typename S , typename C = equal_to, typename P = identity> requires sortable<I, C, P> && sentinel_for<S, I>
constexpr I | ranges::unique (I first, S last, C pred=C{}, P proj=P{})
| template function `unique`
template<typename Rng , typename C = equal_to, typename P = identity> requires sortable<iterator_t<Rng>, C, P> && range<Rng>
constexpr borrowed_iterator_t< Rng > | ranges::unique (Rng &&rng, C pred=C{}, P proj=P{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.